import 'package:flutter/material.dart';
import 'app_theme.dart'; // Importe tes définitions de thème

class ThemeProvider with ChangeNotifier {
  bool _isDarkMode = false; // Mode sombre par défaut désactivé

  bool get isDarkMode => _isDarkMode;

  void toggleTheme() {
    _isDarkMode = !_isDarkMode;
    notifyListeners(); // Notifie les widgets dépendants
  }

  // Utilise AppTheme pour obtenir le thème courant
  ThemeData get currentTheme {
    return _isDarkMode ? AppTheme.darkTheme : AppTheme.lightTheme;
  }
}
